<section class="banner">
  <div class="container bg-full py-5">
    <div class="row d-flex align-items-center">
      <div class="col-lg-6 my-3">
        <h1 class="py-2">
          Portal untuk mengelola dan berbagi pakai data geospasial di Jabar
        </h1>
        <div class="py-2">
          Mendukung upaya pengambilan keputusan dan perumusan kebijakan strategis yang lebih terukur
        </div>
        <div class="d-flex mt-3">
          <button routerLink="/map"
                  class="btn btn-success text-white">
            Jelajahi Dataset Geospasial
          </button>
          <a routerLink="/about"
             target="_blank"
             class="p-2 ms-3">Pelajari selengkapnya <fa-icon style="font-size:0.8em"
                     [icon]="icons.faChevronRight">
            </fa-icon></a>
        </div>
      </div>
      <div class="col-lg-6 px-0 my-3 d-flex justify-content-center">
        <img src="assets/img/home-banner-2.svg" />
      </div>
    </div>
    <app-error-request *ngIf="(error$ | async) && !(loading$ | async)"
                       [errorMessages]="(error$ | async)"
                       (reloadTrigger)="getMapsetStatistic()"></app-error-request>
    <div class="row mt-4"
         *ngIf="(loading$ | async)">
      <div class="col-md-4 py-3">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                            height: '50px'
                          }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="3"></ngx-skeleton-loader>
      </div>
      <div class="col-md-4 py-3">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                            height: '50px'
                          }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="3"></ngx-skeleton-loader>
      </div>
      <div class="col-md-4 py-3">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                            height: '50px'
                          }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="3"></ngx-skeleton-loader>
      </div>
    </div>
    <div class="row mt-4"
         *ngIf="!(error$ | async) && !(loading$ | async)">
      <div class="col-md-4 aggregate d-flex py-3">
        <div class="vl"></div>
        <div class="ms-3">
          <div class="big-number">
            {{ mapsetStatistic?.mapset }}
          </div>
          <div class="title">
            Total Dataset Geospasial
          </div>
          <div class="sub mt-2">
            Kumpulan data yang masih berupa mapset yang dapat diolah dalam bentuk preview peta
          </div>
        </div>

      </div>

      <div class="col-md-4 aggregate d-flex py-3">
        <div class="vl"></div>
        <div class="ms-3">
          <div class="big-number">
            {{ mapsetStatistic?.skpd }}
          </div>
          <div class="title">
            Total Organisasi
          </div>
          <div class="sub mt-2">
            Organisasi Perangkat Daerah yang bergabung dan mempublikasikan datanya di Satu Peta Jabar
          </div>
        </div>

      </div>

      <div class="col-md-4 aggregate d-flex py-3">
        <div class="vl"
             style=""></div>
        <div class="ms-3">
          <div class="big-number">
            {{ mapsetStatistic?.metadata_sikambing }}
          </div>
          <div class="title">
            Total Metadata Tersedia
          </div>
          <div class="sub mt-2">
            Kumpulan metadata untuk menjamin kualitas mapset yang dirilis oleh Pemprov Jawa Barat
          </div>
        </div>

      </div>
    </div>

  </div>
</section>